Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.modules.actions
Class VelocityActionDoesNothing

    java.lang.Object
      org.apache.turbine.modules.Assembler
          org.apache.turbine.modules.Action
              org.apache.turbine.modules.ActionEvent
                  org.apache.turbine.util.velocity.VelocityActionEvent
                      org.apache.turbine.modules.actions.VelocityAction
                          org.apache.turbine.modules.actions.VelocityActionDoesNothing

    public class VelocityActionDoesNothing

extends VelocityAction

This action is used in testing the ExecutePageValve by the ExecutePageValveTest.

Author:
  Eric Pugh, Peter Courcoux

Field Summary
`static int` | `numberOfCalls`
`static int` | `pipelineDataCalls`
`static int` | `runDataCalls`

Fields inherited from class org.apache.turbine.util.velocity.VelocityActionEvent
`initialized`

Fields inherited from class org.apache.turbine.modules.ActionEvent
`bubbleUpException, BUTTON, BUTTON_LENGTH, LENGTH, METHOD_NAME_LENGTH, METHOD_NAME_PREFIX`

Fields inherited from class org.apache.turbine.modules.Action
`CACHE_SIZE_DEFAULT, CACHE_SIZE_KEY, NAME, PREFIX`

Constructor Summary
`VelocityActionDoesNothing()`

Method Summary
`void` | `doPerform(PipelineData pipelineData, org.apache.velocity.context.Context context)` Default action is throw an exception.
`void` | `doPerform(RunData data, org.apache.velocity.context.Context context)` Default action is throw an exception.

Methods inherited from class org.apache.turbine.modules.actions.VelocityAction
`doPerform, doPerform, getContext, getContext, initialize, perform, perform, setTemplate, setTemplate`

Methods inherited from class org.apache.turbine.util.velocity.VelocityActionEvent
`executeEvents, executeEvents`

Methods inherited from class org.apache.turbine.modules.ActionEvent
`considerKey, executeEvents, executeEvents, formatString`

Methods inherited from class org.apache.turbine.modules.Action
`getPrefix`

Methods inherited from class org.apache.turbine.modules.Assembler
`getRunData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### numberOfCalls

    public static int numberOfCalls

### runDataCalls

    public static int runDataCalls

### pipelineDataCalls

    public static int pipelineDataCalls

Constructor Detail

### VelocityActionDoesNothing

    public VelocityActionDoesNothing()

Method Detail

### doPerform

    public void doPerform(RunData data,
                          org.apache.velocity.context.Context context)
                   throws Exception

  Default action is throw an exception.

  Specified by:
    `doPerform` in class `VelocityAction`
  Parameters:
    `data` - Current RunData information
    `context` - Context to populate
  Throws:
    `Exception` - Thrown on error

### doPerform

    public void doPerform(PipelineData pipelineData,
                          org.apache.velocity.context.Context context)
                   throws Exception

  Default action is throw an exception.

  Overrides:
    `doPerform` in class `VelocityAction`
  Parameters:
    `data` - Current RunData information
    `context` - Context to populate
  Throws:
    `Exception` - Thrown on error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.